(function($) {
    Drupal.responsive = Drupal.responsive || {};

    Drupal.behaviors.responsiveBehavior = {
        attach: function(context, settings) {

        }
    };
    $(window).on('load', function() {
        Drupal.responsive.editSelectOption();
    });

    $(window).resize(function() {
        Drupal.responsive.editSelectOption();
    });

    Drupal.responsive.editSelectOption = function() {
        var tab1 = $(".portfolio-isotope .filter-portfolio");
        tab1.each(function() {
            var _nav = $(this).find('.view-content');
            if ($(this).length == 0) return;
            if (window.innerWidth <= 767) {
                var count_item = $(this).find('.views-row').length;
                if(count_item > 1){
                    var mobileItem = $(this).find('.mobile-item');
                    if (mobileItem.length == 0) {
                        mobileItem = $("<div class='views-row mobile-item'></div>");
                        $(this).find('.view-content').prepend(mobileItem);
                        var activeItem = $(this).find('.view-content a.current');
                        if (activeItem.length > 0) {
                            mobileItem.html('<a>' + activeItem.text() + '</a>');
                        }

                        var slideItems = $(this).find('div.views-row:not(.mobile-item)');
                        slideItems.slideUp();

                        mobileItem.once().click(function() {
                            if (!_nav.hasClass('tab-open')) {
                                _nav.addClass('tab-open');
                                slideItems.slideDown();
                            } else {
                                _nav.removeClass('tab-open');
                                slideItems.slideUp();
                            }
                        });
                        $(this).find('.view-content a').once().on('click.mobile', function() {
                            mobileItem.html('<a>' + $(this).text() + '</a>');
                            _nav.removeClass('tab-open');
                            slideItems.slideUp();
                        });
                    }
                }
            } else {
                $(this).find('.mobile-item').remove();
                $(this).find('div.views-row').css({"display" : ""});
                $(this).find('.view-content a').off('click.mobile');
            }
        });
    };

})(jQuery);
